﻿--[[ Translators Please don't touch this file, Unless you absolutely have to ....]]--

local L = LibStub:NewLibrary("GuildCraft_BabbleTradeSkill_Mini", tonumber(("$Revision: 78060 $"):match("(%d+)")) or 1)
if not L then return end

local rev = {}


	L["Alchemy"] = GetSpellInfo(2259)
	L["Blacksmithing"] = GetSpellInfo(3100)
	L["Cooking"] = GetSpellInfo(2550)
	L["Enchanting"] = GetSpellInfo(7411)
	L["Engineering"] = GetSpellInfo(4036)
	L["First Aid"] = GetSpellInfo(3273)
	L["Jewelcrafting"] = GetSpellInfo(25229)
	L["Leatherworking"] = GetSpellInfo(2108)
	L["Poisons"] = GetSpellInfo(2842)
	L["Smelting"] = GetSpellInfo(2656)
	L["Tailoring"] = GetSpellInfo(3908)
	L["Beast Training"] = GetSpellInfo(5149)
	L["Mining"] = GetSpellInfo(32606)

	setmetatable(L, {__index = function(t,k,v)
		if k == "UNKNOWN" then return nil end
		geterrorhandler()(k.."Not Found in Mini-BTS")
		return nil
	end})
	
	for k, v in pairs(L) do
		assert(k)
		assert(v)
		rev[v] = k
	end
	
	function L:ReverseTranslate(var)
		assert(var)
		return rev[var] or nil
	end
